Name:          unit-ri
Version:       1.0.1
Release:       1%{?dist}
Summary:       JSR 363 - Reference Implementation
License:       BSD
URL:           https://github.com/unitsofmeasurement/unit-ri
Source0:       https://github.com/unitsofmeasurement/unit-ri/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(javax.measure:unit-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-project-info-reports-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires: mvn(org.hamcrest:hamcrest-all)
BuildRequires: mvn(tec.uom.lib:uom-lib-common)

BuildArch:     noarch

%description
The Unit Standard (JSR 363) Reference Implementation aims at
Java Embedded, both SE 6/7 or above and Java ME 8 Embedded.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# tec.uom:uom-parent:1.0.1
%pom_remove_parent
%pom_xpath_inject pom:project "<version>%{version}</version>"
%pom_change_dep junit: ::4.12

%pom_remove_plugin :coveralls-maven-plugin
%pom_remove_plugin :emma-maven-plugin
%pom_remove_plugin :formatter-maven-plugin
%pom_remove_plugin :jacoco-maven-plugin
%pom_remove_plugin :license-maven-plugin
%pom_remove_plugin :maven-pmd-plugin
%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin' ]/pom:executions"

# ComparisonFailure: expected:<[t]> but was:<[Mg]>
rm src/test/java/tec/units/ri/quantity/QuantityPrefixTest.java
rm src/test/java/tec/units/ri/unit/PrefixTest.java
# AssertionError: expected:<39> but was:<38>
rm src/test/java/tec/units/ri/spi/SystemOfUnitsServiceTest.java
# AssertionError: Should have raised ClassCastException
rm src/test/java/tec/units/ri/unit/UnitsTest.java

%mvn_file tec.units:%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Fri Oct 07 2016 gil cattaneo <puntogil@libero.it> 1.0.1-1
- initial rpm

